[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomImage.Stretch

Indicates if the image is resized to the client area for the control.

## Declaration

Source position: extctrls.pp line 600

`public property TCustomImage.Stretch : Boolean read FStretch write SetStretch default False;`

## Description

Stretch is a Boolean property which indicates if the image content is resized to the client area for the control. It is used in the DestRect method (along with Proportional) to calculate the rectangle needed to render the image content.

Changing the value in Stretch causes the PictureChanged method to be called.

The default value for the property is False.

## See also

TCustomImage.Proportional |  | True if image is proportional.
TCustomImage.DestRect |  | Gets the rectangle where the image is painted.
TCustomImage.PictureChanged |  | Performs actions needed when the Picture property has been changed.